Skip to main content
`Ctrl`+`K`

# scipy.special.exp10

scipy.special.exp10(x, out=None) = <ufunc 'exp10'>

  Compute `10**x` element-wise.

  Parameters:
    x array_like

      x must contain real numbers.

    out ndarray, optional

      Optional output array for the function values

  Returns:
    scalar or ndarray

      `10**x`, computed element-wise.

  Examples

      >>> import numpy as np
      >>> from scipy.special import exp10

      >>> exp10(3)
      1000.0
      >>> x = np.array([[-1, -0.5, 0], [0.5, 1, 1.5]])
      >>> exp10(x)
      array([[  0.1       ,   0.31622777,   1.        ],
             [  3.16227766,  10.        ,  31.6227766 ]])